import { LitElement } from 'lit';
/**
 *  @element uui-inline-create-button
 *  @description - Special button for creating new elements
 *  @attr {Boolean} vertical - display vertical version of the button
 *  @fires click on user click
 */
export declare class UUIButtonInlineCreateElement extends LitElement {
    static styles: import("lit").CSSResult[];
    private _position;
    /**
     * Label to be used for aria-label and eventually as visual label
     * @type {string}
     * @attr
     */
    label?: string;
    /**
     * Place the button vertically
     * @type {Boolean}
     * @attr
     */
    vertical: boolean;
    private _onMouseMove;
    private _handleClick;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-button-inline-create': UUIButtonInlineCreateElement;
    }
}
